Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.radio
Class CC1000Radio.SerialConfigurationInterface.PDATAInput

    java.lang.Object
      avrora.sim.radio.CC1000Radio.SerialConfigurationInterface.PDATAInput

All Implemented Interfaces:
  Microcontroller.Pin.Input

Enclosing class:
  CC1000Radio.SerialConfigurationInterface

protected class CC1000Radio.SerialConfigurationInterface.PDATAInput
extends java.lang.Object
implements Microcontroller.Pin.Input

Constructor Summary
`protected` | `CC1000Radio.SerialConfigurationInterface.PDATAInput()`

Method Summary
`void` | `disableInput()` The `disableInput()` method is called by the simulator when the program changes the direction of the pin.
`void` | `enableInput()` The `enableInput()` method is called by the simulator when the program changes the direction of the pin.
`boolean` | `read()` The `read()` method is called by the simulator when the program attempts to read the level of the pin.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CC1000Radio.SerialConfigurationInterface.PDATAInput

    protected CC1000Radio.SerialConfigurationInterface.PDATAInput()

Method Detail

### read

    public boolean read()

  Description copied from interface: `Microcontroller.Pin.Input`
  The `read()` method is called by the simulator when the program attempts to read the level of the pin. The device can then compute and return the current level of the pin.

  Specified by:
    `read` in interface `Microcontroller.Pin.Input`
  Returns:
    true if the level of the pin is high; false otherwise

### enableInput

    public void enableInput()

  Description copied from interface: `Microcontroller.Pin.Input`
  The `enableInput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

  Specified by:
    `enableInput` in interface `Microcontroller.Pin.Input`

### disableInput

    public void disableInput()

  Description copied from interface: `Microcontroller.Pin.Input`
  The `disableInput()` method is called by the simulator when the program changes the direction of the pin. The device connected to this pin can then take action accordingly.

  Specified by:
    `disableInput` in interface `Microcontroller.Pin.Input`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD